import { Grid } from 'pathfinding';
import type { NodeBoundingBox, GraphBoundingBox } from './getBoundingBoxes';
import type { Position } from '../../../types';
export declare const gridRatio = 10;
export declare type PointInfo = {
    x: number;
    y: number;
    position: Position;
};
export declare const createGrid: (graph: GraphBoundingBox, nodes: NodeBoundingBox[], source: PointInfo, target: PointInfo) => {
    grid: Grid;
    start: import("../../../types").XYPosition;
    end: import("../../../types").XYPosition;
};
