import type { Grid } from 'pathfinding';
import type { XYPosition } from '../../../types';
declare module 'pathfinding' {
    interface FinderOptions extends Heuristic {
        diagonalMovement?: DiagonalMovement;
        weight?: number;
        allowDiagonal?: boolean;
        dontCrossCorners?: boolean;
    }
}
export declare const generatePath: (grid: Grid, start: XYPosition, end: XYPosition) => number[][];
