import type { XYPosition } from '../../../types';
/**
 * Draws a SVG path from a list of points, using straight lines.
 */
export declare const drawStraightLinePath: (source: XYPosition, target: XYPosition, path: number[][]) => string;
/**
 * Draws a SVG path from a list of points, using rounded lines.
 */
export declare const drawSmoothLinePath: (source: XYPosition, target: XYPosition, path: number[][]) => string;
